{ ---------------------------------------------------------------------	}
{	㭪樨  ࠡ     										}
{ ---------------------------------------------------------------------	}
{ *********************************************************************	}
{ ନ஢  (ࠫ )      ⮩ SCLK1	}
{ *********************************************************************	}
MakeReadData:
{ ३  ன  ॣ஢													}
	ENA SEC_REG;

{ ४뢠 ᮤন ॣ AF  FIFO   			}
	AR = PASS AF;
	DM(I3, M3)=AR;
{ ६㥬 ᮤন ॣ AF											}
	AF = AF + 0x1;

	RTI;

{ *********************************************************************	}
{  砫    													}
{ *********************************************************************	}
Start_Read_cmd:
{ ⠭ , 몫稢  SCLK1, .. ᤥ  譨			}
	AR = 0x3F1F; 						{ 0011 1111 0001 1111 						}
	DM(Sport1_Ctrl_Reg) = AR;		{ 0x3FF2 - SPORT1 Control Register		}

	IFC=0xFF; NOP;						{ ᨬ    뢠		}

{ ࠧ᪨㥬 뢠 IRQ2()											}
	GetPm(AR,ImaskValueAddr);
	AR= CLRBIT 4 OF AR;		  { ᪨㥬 뢠 IRQE ( )}
	PutRegPm(AR,ImaskValueAddr);
	IMASK=AR; NOP;

{ ⠭   														}
	GetPm(AR, ReadRateAddr);
	DM(Sport1_Sclkdiv) = AR;		{ 0x3FF5 - Serial Clock Divide Modulus	}

{ ᨬ 䫠  															}
	PutPm(AR, 0x0, ReadEnableAddr);

{ ந樠㥬 室 㪠⥫  ६   	}
	CALL InitReadPointers;

{ ᢥ⨬ ᢥ⮤																	}
	AR=DM(Prog_Flag_Data); AR= CLRBIT 2 OF AR; DM(Prog_Flag_Data)=AR;

{ ⠭ 䫠  															}
	PutPm(AR, 0x1, ReadEnableAddr);

{ ⨬ , 稢  SCLK1, .. ᤥ  ७			}
	AR = 0x7F1F; 						{ 0111 1111 0001 1111 						}
	DM(Sport1_Ctrl_Reg) = AR; 		{ 0x3FF2 - SPORT1 Control Register		}

	IFC=0xFF; NOP;						{ ᨬ    뢠		}

{ ࠧ᪨㥬 뢠 IRQE()  IRQ2()							}
	GetPm(AR,ImaskValueAddr);
	AR= SETBIT 4 OF AR;		{ ࠧ᪨㥬 뢠 IRQE ( )	}
	PutRegPm(AR,ImaskValueAddr);
	IMASK=AR; NOP;

	JUMP EndOfCommand;

{ *********************************************************************	}
{  ⠭    												}
{ *********************************************************************	}
Stop_Read_cmd:
{ ⠭ , 몫稢  SCLK1, .. ᤥ  譨			}
	AR = 0x3F1F; 						{ 0011 1111 0001 1111 						}
	DM(Sport1_Ctrl_Reg) = AR;		{ 0x3FF2 - SPORT1 Control Register		}

{ ࠧ᪨㥬 뢠 IRQ2()											}
	GetPm(AR,ImaskValueAddr);
	AR= CLRBIT 4 OF AR;		  { ᪨㥬 뢠 IRQE ( )}
	PutRegPm(AR,ImaskValueAddr);
	IMASK=AR; NOP;

{ ᨬ ᢥ⮤																	}
	AR=DM(Prog_Flag_Data); AR= SETBIT 2 OF AR; DM(Prog_Flag_Data)=AR;

{ ᨬ 䫠  															}
	PutPm(AR, 0x0, ReadEnableAddr);

	JUMP EndOfCommand;

{ *********************************************************************	}
{	⠭ 㪠⥫	    									}
{ *********************************************************************	}
InitReadPointers:
{ ⠭ ॡ㥬 ࠧ FIFO   						}
	PutPm(AR, 0x0, ReadFifoBaseAddressAddr);	{   FIFO 	}
	PutPm(AR, 0x3000, ReadFifoLengthAddr);    {  FIFO 			}

{   FIFO   											}
	GetPm(AR, ReadFifoLengthAddr);
	SR= LSHIFT AR BY -1 (LO);
	PutRegPm(SR0, ReadFifoLengthOver2Addr);

{ 㪠⥫ I3  '' FIFO   							}
	GetPm(AR, ReadFifoBaseAddressAddr);
	I3=AR;
	M3=0x1;
	GetPm(AR, ReadFifoLengthAddr);
	L3=AR;

{ 㪠⥫ I2  '墮' FIFO   								}
	I2=I3;
{  M2     FIFO   					}
	GetPm(AR, ReadFifoLengthOver2Addr);
	M2=AR;
	L2=L3;

	ENA SEC_REG;						{ ३  ன  ॣ஢		}
	AF = PASS 0x0;						{ 塞 ॣ AF						}
	DIS SEC_REG;					  	{ ३    ॣ஢		}

	RTS;

