{ ---------------------------------------------------------------------	}
{ ************************  USB-2185 ****************************	}
{ ---------------------------------------------------------------------	}

{***********************************************************************}
{ । 室 														}
{***********************************************************************}
#define M(x) x*256 		/* ᤢ  8  								  	*/
#define PutRegPm(Reg,Addr) I4=Addr; PM(I4, M4)=Reg
#define PutPm(Reg,Val,Addr) Reg=Val; I4=Addr; PM(I4, M4)=Reg
#define GetPm(Reg,Addr) I4=Addr; Reg=PM(I4, M4)

{***********************************************************************}
{ ६ ࠩ DSP																}
{***********************************************************************}
{   ᥣ ணࠬ													}
.VAR/SEG=INT_PM_USER/ABS=ProgramBaseAddressValAddr/PM/RAM ProgramBaseAddressVal;
.INIT ProgramBaseAddressVal: M(ProgramBaseAddress);

{ ப   ன⢠														}
.VAR/SEG=INT_PM_USER/ABS=TargetAddr/PM/RAM Target[5];
.INIT Target: M(0x0), M(0x0), M(0x0), M(0x0), M(0x0);

{ ⪠ ࠧࠡ稪  ࠩ DSP										}
.VAR/SEG=INT_PM_USER/ABS=LabelAddr/PM/RAM Label[3];
.INIT Label: M(0x0), M(0x0), M(0x0);

{  ⥪饣 ࠩ DSP														}
.VAR/SEG=INT_PM_USER/ABS=VersionAddr/PM/RAM Version;
.INIT Version: M(0x0);

{ ࢠ ⢠ ६                                      			}
.VAR/SEG=INT_PM_USER/ABS=TestVar1Addr/PM/RAM TestVar1;
.INIT TestVar1: M(0x1111);

{  ⢠ ६                                      			}
.VAR/SEG=INT_PM_USER/ABS=TestVar2Addr/PM/RAM TestVar2;
.INIT TestVar2: M(0x3333);

{ ⮢ ६  ஢ન  뢠						}
.VAR/SEG=INT_PM_USER/ABS=TestIntrVarAddr/PM/RAM TestIntrVar;
.INIT TestIntrVar: M(0x7777);

{ 䫠 ⮢  쭥襩 ࠡ ᫥ 㧪 DSP					}
.VAR/SEG=INT_PM_USER/ABS=ModuleReadyAddr/PM/RAM ModuleReady;
.INIT ModuleReady: M(0x0);

{    ࠩ DSP														}
.VAR/SEG=INT_PM_USER/ABS=CommandAddr/PM/RAM Command;
.INIT Command: M(0x77);

{ ࠧ襭 뢠 IRQ2 ()												}
.VAR/SEG=INT_PM_USER/ABS=ImaskValueAddr/PM/RAM ImaskValue;
.INIT ImaskValue: M(0x200);


{ ---------------------------     --------------------------------- }
{ ६       									}
.VAR/SEG=INT_PM_USER/ABS=ReadRateAddr/PM/RAM ReadRate;
.INIT ReadRate: M(59);

{  ࠧ襭/饭                  					}
.VAR/SEG=INT_PM_USER/ABS=ReadEnableAddr/PM/RAM ReadEnable;
.INIT ReadEnable: M(0x0);

{ 騩   FIFO                   			}
.VAR/SEG=INT_PM_USER/ABS=ReadFifoBaseAddressAddr/PM/RAM ReadFifoBaseAddress;
.INIT ReadFifoBaseAddress: M(0x0);

{   FIFO   											}
.VAR/SEG=INT_PM_USER/ABS=ReadFifoLengthAddr/PM/RAM ReadFifoLength;
.INIT ReadFifoLength: M(0x3000);

{   FIFO   											}
.VAR/SEG=INT_PM_USER/ABS=ReadFifoLengthOver2Addr/PM/RAM ReadFifoLengthOver2;
.INIT ReadFifoLengthOver2: M(0x1800);


{ --------------------------      -------------------------------- }
{ ६       								}
.VAR/SEG=INT_PM_USER/ABS=WriteRateAddr/PM/RAM WriteRate;
.INIT WriteRate: M(49);

{  ࠧ襭/饭 뢮 										}
.VAR/SEG=INT_PM_USER/ABS=WriteEnableAddr/PM/RAM WriteEnable;
.INIT WriteEnable: M(0x0);

{ 騩   FIFO  뢮 								}
.VAR/SEG=INT_PM_USER/ABS=WriteFifoBaseAddressAddr/PM/RAM WriteFifoBaseAddress;
.INIT WriteFifoBaseAddress: M(0x3000);

{   FIFO  뢮 											}
.VAR/SEG=INT_PM_USER/ABS=WriteFifoLengthAddr/PM/RAM WriteFifoLength;
.INIT WriteFifoLength: M(0xF80);

{   FIFO  뢮 										}
.VAR/SEG=INT_PM_USER/ABS=WriteFifoLengthOver2Addr/PM/RAM WriteFifoLengthOver2;
.INIT WriteFifoLengthOver2: M(0x7C0);


{  																	}
/*.VAR/SEG=INT_DM_USER/ABS=0x3FD0/DM/RAM Test1;
.INIT Test1: 0x1157;*/

{ 0x400 -> Last Program Memory Address for Data									}
