{ ********************************************************************* }
{ ᭮ ணࠬ (ࠩ)  ࠡ  㫥 USB-2185				}
{ ********************************************************************* }

#include "Const.h"

.MODULE/ABS=ProgramBaseAddress/SEG=int_pm_user             main_program;

.ENTRY StartDsp, MakeReadData, CheckDacBuffer;

#include "Vars.h"

{ After DSP RESET we appear to be here                                  }
StartDsp:
	DIS SEC_REG;  						{ ३    ॣ஢		}

{ I4, M4, L4 ᯮ  㯠  ६ ࠩ DSP			}
	M4=0x0; L4=0x0;
	M7=0x0; L7=0x0;

{ ନ㥬  TARGET																	}
	PutPm(AR, 0x5355, TargetAddr + 0);
	PutPm(AR, 0x3242, TargetAddr + 1);
	PutPm(AR, 0x3831, TargetAddr + 2);
	PutPm(AR, 0x0035, TargetAddr + 3);
	PutPm(AR, 0x0000, TargetAddr + 4);

{ ନ㥬  LABEL																	}
	PutPm(AR, 0x7452, LabelAddr + 0);
	PutPm(AR, 0x6365, LabelAddr + 1);
	PutPm(AR, 0x0068, LabelAddr + 2);

{ ନ㥬 ⥪  ࠩ DSP											}
	AR = VERMAJOR; SR = LSHIFT AR BY 8 (LO);
	AR = VERMINOR;	SR = SR OR LSHIFT AR BY 0 (LO);
	PutRegPm(SR0,VersionAddr);

{ 襬  ⮢ ६ 室 祭							}
	PutPm(AR, 0x5555, TestVar1Addr);	PutPm(AR, 0xAAAA, TestVar2Addr);

{ Set Wait State for ALL External Devices                   				}
	AR = 0x0002;						{ 0000 0000 0000 0002 						}
	DM(Dm_Wait_Reg) = AR;			{ 0x3FFE - Waitstate Control Register 	}

{ SPORT0 - disable, SPORT1 - disable, SPORT1 - FI, FO, IRQ0, IRQ1, SCLK1}
	AR=0x0;
	DM(Sys_Ctrl_Reg)=AR;				{ 0x3FFF - System Control Register 		}

{ *********************************************************************	}
{ 	Set SPORT0 for transmit digital codes in DAC                    	 	}
{ 	SCLK and Transmit Frame - internal, word = 16 bits                	}
{ 	Serial Clock Divide Modulus 														}
	GetPm(AR,WriteRateAddr);		{  뢮 						}
	DM(Sport0_Sclkdiv) = AR;		{ 0x3FF5 - Serial Clock Divide Modulus	}

{ Receive Frame Sync Divide Modulus 												}
	AR = 0xF;					{ RFS period = 16 SCLK	 							}
	DM(Sport0_Rfsdiv) = AR; { 0x3FF4 - Receive Frame Sync Divide Modulus }

{ 頥 ⮡ਧ SPORT0													}
	AR=0x4000;							{ 0100 0000 0000 0000						}
	DM(Sport0_Autobuf_Ctrl)=AR;

{ Control word for SPORT0 : SCLK - internal 										}
{ high level, alternate internal receive frame on each word(16 bit)		}
{ high level, alternate internal transmit frame on each word(16 bit)		}
	AR = 0x3F1F; 						{ 0011 1111 0001 1111 						}
	DM(Sport0_Ctrl_Reg) = AR;		{ 0x3FF6 - SPORT0 Control Register		}
{ *********************************************************************	}

{ *********************************************************************	}
{ * Set SPORT1 for start read data		                           	 *	}
{ Serial Clock Divide Modulus 														}
	GetPm(AR, ReadRateAddr);	{   							}
	DM(Sport1_Sclkdiv) = AR;	{ 0x3FF1 - Serial Clock Divide Modulus		}

{ Receive Frame Sync Divide Modulus 												}
	AR = 0xF;					{ RFS period = 16 SCLK	 							}
	DM(Sport1_Rfsdiv) = AR;	{ 0x3FF0 - Receive Frame Sync Divide Modulus	}

{ Control word for SPORT1 : SCLK - internal 										}
{ high level, alternate internal receive frame on each word(16 bit)		}
{ high level, alternate internal transmit frame on each word(16 bit)		}
	AR = 0x3F1F; 						{ 0011 1111 0001 1111 						}
	DM(Sport1_Ctrl_Reg) = AR;		{ 0x3FF2 - SPORT1 Control Register		}
{ *********************************************************************	}

{ IRQ0, IRQ1, IRQ2 - negative front, disable Interrupt Nesting 			}
	ICNTL=0x07	;

{ ⨬    뢠													}
	IFC = 0xFF; NOP; NOP;

{ ⠭ 䫠 FO  室  ﭨ									}
	RESET FLAG_OUT;

{ ⠭ 䫠 FLx  室  ﭨ								}
	RESET FL0, RESET FL1, RESET FL2;

{ ⠭ 䫠 PFx  室  ﭨ								}
	AR=0x00;   									{	0000 0000							}
	DM(Prog_Flag_Data)=AR;

{ ⠭ ࠢ 䫠 PFx: PF0,PF1,PF3,PF4  PF7 - 室, 	}
{				   						  PF2,PF5  PF6 - 室				}
	AR=0x64;	 									{	0110 0100							}
	DM(Prog_Flag_Comp_Sel_Ctrl)=AR;

{ ᨬ ᢥ⮤																	}
	AR=DM(Prog_Flag_Data); AR= SETBIT 2 OF AR; DM(Prog_Flag_Data)=AR;

{     ᥣ ⮫쪮 ADSP-2185, ..  ७  	}
	DMOVLAY=0x0; PMOVLAY=0x0;

	DIS M_MODE;

{ ந樠㥬 室 㪠⥫  ६						}
	CALL InitReadPointers;
	CALL InitWritePointers;

{   ᭮ ணࠬ,    ⮢  ࠡ	}
	PutPm(AR, 0x1, ModuleReadyAddr);

{ =====================================================================	}
{ ᭮ 横 ࠡ 	/ 												}
{ =====================================================================	}
MainLoopEntry:
{ ࠧ訬 室 뢠 													}
	GetPm(AR,ImaskValueAddr); IMASK=AR; NOP;

MainLoop:
	CALL CheckReadData;
	CALL CheckWriteData;

	CALL CommandProcessing;

	JUMP MainLoop;

{ *********************************************************************	}
{ 楤 । ⮢   FIFO     		}
{ *********************************************************************	}
CheckReadData:
{      ࠧ?														}
	GetPm(AR, ReadEnableAddr); NONE= PASS AR;
	IF EQ RTS;								{ ᫨ ,   멤			}

{     뫠   ?												}
	AR=I3;									{ 稬 '' FIFO  }
	AY0=I2;  								{ 稬 '墮' FIFO  	}
	AR=AR-AY0;
	GetPm(AY0, ReadFifoLengthAddr);{ ⥪  FIFO    }
	IF LT AR=AR+AY0;			{ ⥯  AR ⨭ ࠧ  I3  I2	}
	GetPm(AY0, ReadFifoLengthOver2Addr);	{   FIFO   	}
	NONE=AR-AY0;    						{ ࠢ    		}
	IF LT RTS;								{ ᫨ ,  멤				}

{ ᣥਬ 뢠  AVR   FIFO   ,				}
{			ᨣ  ⮢ ।   ।  	}
	AR=DM(Prog_Flag_Data);
	AR= SETBIT 5 OF AR;
	DM(Prog_Flag_Data)=AR;
	NOP; NOP; NOP; NOP; NOP; NOP; NOP; NOP;
	NOP; NOP; NOP; NOP; NOP; NOP; NOP; NOP;
	AR= CLRBIT 5 OF AR;
	DM(Prog_Flag_Data)=AR;

{ 㥬 '墮' FIFO   									}
	MODIFY(I2, M2);

	RTS;

{ *********************************************************************	}
{ 楤 ਥ     뢮  						}
{ *********************************************************************	}
CheckWriteData:
{  뢮    ࠧ?														}
	GetPm(AR, WriteEnableAddr); NONE= PASS AR;
	IF EQ RTS;								{ ᫨ ,   멤			}

{     ਭ   ?												}
	AR=I1;								{ 稬 '' FIFO 뢮 	}
	AY0=I0; 								{ 稬 '墮' FIFO 뢮 	}
	AR=AR-AY0;
	GetPm(AY0, WriteFifoLengthAddr);{ ⥪  FIFO  뢮  }
	IF LT AR=AR+AY0;			{ ⥯  AR ⨭ ࠧ  I3  I2	}
	GetPm(AY0, WriteFifoLengthOver2Addr);	{   FIFO  뢮  }
	NONE=AR-AY0;    						{ ࠢ    		}
	IF LT RTS;								{ ᫨ ,  멤				}

{ ᣥਬ 뢠  AVR   FIFO  뢮 ,			}
{ 			ᨣ  ⮬,   ⮢   । 	}
	AR=DM(Prog_Flag_Data);
	AR= SETBIT 6 OF AR;
	DM(Prog_Flag_Data)=AR;
	NOP; NOP; NOP; NOP; NOP; NOP; NOP; NOP;
	NOP; NOP; NOP; NOP; NOP; NOP; NOP; NOP;
	AR= CLRBIT 6 OF AR;
	DM(Prog_Flag_Data)=AR;

{ 㥬 '墮' FIFO  뢮 								}
	MODIFY(I0, M0);

	RTS;

{ *********************************************************************	}
{ ஢ઠ FIFO  뢮  뢭 							}
{ *********************************************************************	}
CheckDacBuffer:
{ ३  ன  ॣ஢													}
	ENA SEC_REG;

	AY1 = DM(I1, M1); AR = AR - AY1;
	AF = ABS AR; AR = AY1;
	NONE = AX1 - AF; IF GE RTI;

	AR = DM(Prog_Flag_Data); AR = SETBIT 2 OF AR; DM(Prog_Flag_Data) = AR;
	PutPm(AR, 0x0, WriteEnableAddr);

	RTI;

{ ********************************************************************  }
{   																	}
{ ********************************************************************  }
CommandProcessing:
{ ஢ਬ   ࠡ⠭ ?										}
	AR=SE; NONE= PASS AR;
	IF EQ RTS; 							{ ᫨ ,   멤				}

{ ᨬ 䫠 ࠡ⠭ 											}
	SE=0x0;

	GetPm(AR, CommandAddr);
	AR=PASS AR;
	IF EQ JUMP Test_cmd;       				{   0					}
	AR=AR-0x1;
	IF EQ JUMP Start_Read_cmd;			 		{   1					}
	AR=AR-0x1;
	IF EQ JUMP Stop_Read_cmd;			 		{   2					}
	AR=AR-0x1;
	IF EQ JUMP Start_Write_cmd;	  	  		{   3					}
	AR=AR-0x1;
	IF EQ JUMP Stop_Write_cmd;		  	  		{   4					}

ErrorEndOfCommand:
	PutPm(AR, 0xFFFF, CommandAddr);
	RTS;			   								{ த ࠡ				}

{ *********************************************************************	}
{ ⮢ .                                                   	}
{ ᫥ 室  祩	  TestIntrVar								}
{		  													  ᫮ 0xAA55	}
{ *********************************************************************	}
Test_cmd:
	PutPm(AR,0xAA55,TestIntrVarAddr);

{ *********************************************************************	}
{ 室  ࠡ稪  IRQ2													}
{ ᫥ 室  祩	  Command   ᫮ 0x0		}
{ *********************************************************************	}
EndOfCommand:
	PutPm(AR, 0x0, CommandAddr);
	RTS;			   								{ த ࠡ				}

#include "Read.h"
#include "Write.h"

.ENDMOD;
